org.apache.sis.storage

## Class ConcurrentWriteException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - ConcurrentWriteException

- All Implemented Interfaces:
    Serializable, LocalizedException

      public class ConcurrentWriteException
      extends DataStoreException

  Thrown when an operation can not be performed while a write operation is in progress. This exception is thrown for example if a read operation is attempted on a data store that does not support concurrent read and write operations.
  Since:
    0.8
  See Also:
    `ConcurrentReadException`, Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentWriteException()` Creates an exception with no cause and no details message.
    `ConcurrentWriteException(Locale locale, String filename)` Creates a localized exception for an operation that can not be executed while a write operation is in progress.
    `ConcurrentWriteException(String message)` Creates an exception with the specified details message.
    `ConcurrentWriteException(String message, Throwable cause)` Creates an exception with the specified details message and cause.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentWriteException

          public ConcurrentWriteException()

      Creates an exception with no cause and no details message.

    - #### ConcurrentWriteException

          public ConcurrentWriteException(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### ConcurrentWriteException

          public ConcurrentWriteException(String message,
                                          Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.

    - #### ConcurrentWriteException

          public ConcurrentWriteException(Locale locale,
                                          String filename)

      Creates a localized exception for an operation that can not be executed while a write operation is in progress. Arguments given to this constructor are hints for building an error message.
      Parameters:
        `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
        `filename` - name of the file or data store where a write operation is in progress.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.